Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982386 - Use xz to compress tarball
Summary: Use xz to compress tarball
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cp2k
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 21:19 UTC by Ville Skyttä
Modified: 2013-11-15 11:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-15 11:41:42 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2013-07-08 21:19:37 UTC
Compressing snapshot tarballs with xz would save some space when they're needed the next time, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.

diff --git a/cp2k-snapshot.sh b/cp2k-snapshot.sh
index 82f0aa9..7c8c81f 100755
--- a/cp2k-snapshot.sh
+++ b/cp2k-snapshot.sh
@@ -27 +27 @@ cd ..
-tar jcf "$pwd"/$dirname-$svn.tar.bz2 $dirname
+tar Jcf "$pwd"/$dirname-$svn.tar.xz $dirname
diff --git a/cp2k.spec b/cp2k.spec
index a9fed19..ad0dbe6 100644
--- a/cp2k.spec
+++ b/cp2k.spec
@@ -13 +13 @@ URL: http://cp2k.org/
-Source0: cp2k-%{version}-%{snapshot}.tar.bz2
+Source0: cp2k-%{version}-%{snapshot}.tar.xz

Comment 1 Fedora End Of Life 2013-09-16 14:26:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Dominik 'Rathann' Mierzejewski 2013-11-15 11:41:42 UTC
Fixed in rawhide. Other branches will follow.


Note You need to log in before you can comment on or make changes to this bug.